Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Try Vanilla Forums Cloud product
Vanilla 2.6.1 is here with critical security patches. One of them has been publicly disclosed.

GitHub upgrading instructions are incorrect

lamentlament
edited March 2017 in Feedback

Not sure if this is the place to put this, but on https://github.com/vanilla/vanilla#upgrading, it says:

Go to yourforum.com/utility/upgrade to run any database updates needed. (404? See next paragraph.) If it fails, try it a second times by refreshing the page.

should be

Go to yourforum.com/utility/update to run any database updates needed. (404? See next paragraph.) If it fails, try it a second times by refreshing the page.

Comments

  • R_JR_J Cheerleader & Troubleshooter Munich Moderator

    The best place to report issues is through GitHub. Even better is to make a pull request on GitHub ;)

    But what you've found is no error. Let me give you some explanation on what I found and what I've heard...

    In the current Vanilla version /utility/update and /utility/upgrade are the same and until the current master branch, /utility/upgrade was only there because people were expecting such a function.
    So the link could have been changed, but that was not needed.

    In the current master though, there is a difference between update and upgrade.

    "update" is always possible and should/could be made if something "feels" strange or you know you have messed up you database.
    "upgrade" involves checking if there are files which should/must be deleted. In some of the former upgrade steps, it was required to delete some files. While "update" doesn't care for those files, "upgrade" will. As far as I know those files will not be deleted automatically, but the admin gets a note, but I'm not sure about that.

    So while the text could theoretically be changed right now, it should not for the current master branch.

    Linc
  • lamentlament
    edited March 2017

    /upgrade gives me a "View not found. The view you were looking for could not be found." error.

    These upgrade directions are linked from your dashboard and the the 2.3 post and make no mention of /upgrade, nor does the readme file in the download. So you can see the confusion.

  • I just hit the same issue going from 2.3.0. to 2.3.1.
    /upgrade reports "View not found", while /update passed.
    I upgraded from 2.3.0, don't remember if before the instructions were upgrade or update.

    Any concerns about this or I can ignore it?

    Thanks.

  • vrijvlindervrijvlinder Papillon-Sauvage MVP

    You must all make sure you have pretty urls enabled or it won't work.

  • Even without pretty urls ?p=/utility/upgrade which is the non-pretty equivalent also gives view not found. There is no upgrade view in 2.3, the documentation is wrong.

  • This just got fixed in github, Linc changed upgrade to update.

    vrijvlinder
Sign In or Register to comment.